"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class StringQuery extends abstract_query_1.AbstractQuery {
    constructor(key, value) {
        super();
        this.key = key;
        this.value = value;
    }
    getQuery() {
        if (this.key instanceof Array) {
            return { query_string: { query: this.value, fields: this.key } };
        }
        return { query_string: { query: this.value, default_field: this.key } };
    }
}
exports.StringQuery = StringQuery;
//# sourceMappingURL=string.query.js.map